Package Details: mingw-w64-headers-git 7.0.0.20191109-1

Git Clone URL: https://aur.archlinux.org/mingw-w64-headers-git.git (read-only, click to copy)
Package Base: mingw-w64-headers-git
Description: MinGW-w64 headers for Windows (git version)
Upstream URL: https://mingw-w64.org/doku.php
Licenses: custom
Groups: mingw-w64, mingw-w64-toolchain
Conflicts: mingw-w64-headers
Provides: mingw-w64-headers=7.0.0.20191109
Submitter: ant32
Maintainer: pingplug
Last Packager: pingplug
Votes: 13
Popularity: 0.000064
First Submitted: 2015-01-28 04:39
Last Updated: 2019-11-12 01:51

Dependencies (1)

Required by (7)

Sources (1)

Pinned Comments

pingplug commented on 2018-02-14 13:26

bootstrap:

mingw-w64-binutils-->mingw-w64-headers-bootstrap-->mingw-w64-headers-git-->mingw-w64-gcc-base-->mingw-w64-crt-git-->mingw-w64-winpthreads-git-->mingw-w64-gcc

update form non-git version:

mingw-w64-headers-git-->mingw-w64-crt-git-->mingw-w64-gcc-->mingw-w64-winpthreads-git-->all other mingw-w64-* packages must be rebuild

Latest Comments

1 2 Next › Last »

pingplug commented on 2018-02-14 13:26

bootstrap:

mingw-w64-binutils-->mingw-w64-headers-bootstrap-->mingw-w64-headers-git-->mingw-w64-gcc-base-->mingw-w64-crt-git-->mingw-w64-winpthreads-git-->mingw-w64-gcc

update form non-git version:

mingw-w64-headers-git-->mingw-w64-crt-git-->mingw-w64-gcc-->mingw-w64-winpthreads-git-->all other mingw-w64-* packages must be rebuild

rubenvb commented on 2013-09-19 07:22

Sorry for not replying to all the pleas for help :s I was on holiday and have been quite busy lately.

MinGW-w64 is nearing v3 release, which will hopefully stop everyone trying to work around svn version breakage. The release is tested by the Fedora MinGW-w64 cross-compiler maintainer on a lot of packages (including qt5), so it should be nearly flawless when it's out, and keep continued usability regardless of the current MinGW-w64 development in SVN. I have informed the MinGW-w64 team it was a bad idea to require trunk for a stable GCC, and they will try their best to not have this happen again. I'm in the process of testing new PKGBUILDs (for SVN currently). I will switch all these back to MinGW-w64 v3.0 stable once it's out.

Thank you for your patience :-)

ant32 commented on 2013-09-18 22:39

I wrote rubenvb an email 2 weeks ago and he hasn't replied. If mingw-w64-gcc also had gcc-make-xmmintrin-header-cplusplus-compatible.patch we'd also not need mingw-w64-gcc-qt5. I'm not sure if he is still fully maintaining this http://sourceforge.net/mailarchive/message.php?msg_id=31087007.

Auguste commented on 2013-09-18 04:19

is it possible to configure with --enable-secure-api?

it is required by some source, like mingw-w64-angleproject, which is in turn required by mingw-w64-qt5-base.

the final outcome with secure api enabled has 0.00MB difference to the current one, according to pacman.

ant32 commented on 2013-08-23 21:32

rubenvb, could you force headers, crt and winpthreads to use mingw commit 5969.
I had a fairly successful build using 5969 (I have a script that builds almost all mingw-w64 packages in the aur https://github.com/ant32/amr). I just had the following chat on IRC.

[14:55] == ant32 [~oftc-webi@200.32.230.92] has joined #mingw-w64
[15:02] <epienbro> ant32, some days ago I already reported this THREAD_INFORMATION_CLASS issue to the mingw-w64 mailing list
[15:03] <ant32> ok if they are aware of it they'll probably fix it soon
[15:03] <epienbro> there are more similar issues with current trunk
[15:03] <ant32> at which commit would you suggest to build?
[15:04] <epienbro> from the trunk branch?
[15:04] <ant32> yes
[15:04] <ant32> fedora's pkgs are at 6106 http://pkgs.fedoraproject.org/cgit/mingw-headers.git
[15:05] <epienbro> well, we're doing periodically test mass rebuilds against mingw-w64 and the latest succesfull one (which showed no mingw-w64 issues) is the mingw-w64 snapshot from 20130721
[15:05] <epienbro> which is r5969
[15:07] == leandrosansilva [~quassel@179.217.196.254] has joined #mingw-w64
[15:08] <ant32> which version was winpthreads put into trunk?
[15:09] <epienbro> the fedora commit history of mingw-headers indeed shows that r6106 is used..but as I already had found issues with that snapshot I decided to cancel it from being included in fedora (untagged from rawhide)
[15:10] <epienbro> according to http://sourceforge.net/p/mingw-w64/code/6132/tree/trunk/mingw-w64-libraries/ the latest change in the winpthreads code was at r5845
[15:11] <epienbro> and it still has to be built manually for now (it isn't merged with the crt yet)

ant32 commented on 2013-08-21 15:30

This PKGBUILD https://gist.github.com/ant32/6295855 fetches version 5882 which is the version which has been in trunk for the past while. You can see the changes I made to rubenvb's by clicking Revisions. I built ruben's package today again and it built fine.

usch commented on 2013-08-21 14:53

@ant32 thanks for the link to your repo.
svn checkout of the latest version would be enough to compile,
but how to change this behaviour of makepkg?

usch commented on 2013-08-21 13:36

@ant32 thanks for the link to your repo.
svn checkout of the latest version would be enough to compile,
but how to change this behaviour of makepkg?

ant32 commented on 2013-08-21 13:03

Why is cloning necessary?
I believe the latest stable version has issues in it. There may also be newer packages that require newer headers. I don't know. I have limited knowlege in this area.
svn repo erros.
Are you sure you have the latest PKGBUILD? I also had simular errors but then I tried again and it worked. The latest headers cause some packages not to compile. You could use my repo till this is solved http://arch.linuxx.org/ . Or find a way to fix this. The first package after this that I don't get to compile is mingw-w64-winpthreads.

usch commented on 2013-08-21 09:40

I get this warnings at the end of cloning the svn repo:
svn: warning: W200000: Error handling externals definition for 'mingw-w64-headers/experimental/DDK_ROS':
svn: warning: W175002: Unable to connect to a repository at URL 'http://svn.reactos.org/reactos/trunk/reactos/include/ddk'
svn: warning: W200000: Error handling externals definition for 'mingw-w64-headers/experimental/NDK_ROS':
svn: warning: W175002: Unable to connect to a repository at URL 'http://svn.reactos.org/reactos/trunk/reactos/include/ndk'

Why is cloning neccessary at all?

At the end Version 6129 is checked out and PKGBUILD is changed to this version as well.
Finally build fails since it can't find the configure script.